Index: /pjproject/trunk/pjsip-apps/src/samples/latency.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/samples/latency.c	(revision 4536)
+++ /pjproject/trunk/pjsip-apps/src/samples/latency.c	(revision 4537)
@@ -52,5 +52,6 @@
     pjmedia_frame frm;
     short *buf;
-    unsigned i, samples_per_frame, read, len;
+    unsigned i, samples_per_frame;
+    pj_size_t read, len;
     unsigned start_pos;
     pj_status_t status;
Index: /pjproject/trunk/pjsip-apps/src/samples/pcaputil.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/samples/pcaputil.c	(revision 4536)
+++ /pjproject/trunk/pjsip-apps/src/samples/pcaputil.c	(revision 4537)
@@ -89,5 +89,5 @@
         if (pos >= 0) {
             unsigned msec;
-            msec = pos / 2 * 1000 / PJMEDIA_PIA_SRATE(&app.wav->info);
+            msec = (unsigned)pos / 2 * 1000 / PJMEDIA_PIA_SRATE(&app.wav->info);
             printf("Written: %dm:%02ds.%03d\n",
                     msec / 1000 / 60,
@@ -163,5 +163,5 @@
 	 * SRTP decoding
 	 */
-	status = pjmedia_rtp_decode_rtp(&app.rtp_sess, buf, sz, &r, 
+	status = pjmedia_rtp_decode_rtp(&app.rtp_sess, buf, (int)sz, &r, 
 					&p, payload_size);
 	if (status != PJ_SUCCESS) {
@@ -175,5 +175,5 @@
 #if PJMEDIA_HAS_SRTP
 	if (app.srtp) {
-	    int len = sz;
+	    int len = (int)sz;
 	    status = pjmedia_transport_srtp_decrypt_pkt(app.srtp, PJ_TRUE, 
 						        buf, &len);
@@ -188,5 +188,5 @@
 
 	    /* Decode RTP packet again */
-	    status = pjmedia_rtp_decode_rtp(&app.rtp_sess, buf, sz, &r,
+	    status = pjmedia_rtp_decode_rtp(&app.rtp_sess, buf, (int)sz, &r,
 					    &p, payload_size);
 	    if (status != PJ_SUCCESS) {
@@ -377,6 +377,6 @@
 	    pcm_frame.size = samples_per_frame * 2;
 
-	    T( pjmedia_codec_decode(app.codec, &frames[i], pcm_frame.size, 
-				     &pcm_frame) );
+	    T( pjmedia_codec_decode(app.codec, &frames[i], 
+				    (unsigned)pcm_frame.size, &pcm_frame) );
 	    if (app.wav) {
 		T( pjmedia_port_put_frame(app.wav, &pcm_frame) );
@@ -401,5 +401,5 @@
 
 	    if (app.codec->op->recover) {
-		T( pjmedia_codec_recover(app.codec, pcm_frame.size, 
+		T( pjmedia_codec_recover(app.codec, (unsigned)pcm_frame.size, 
 					 &pcm_frame) );
 	    } else {
Index: /pjproject/trunk/pjsip-apps/src/samples/pjsip-perf.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/samples/pjsip-perf.c	(revision 4536)
+++ /pjproject/trunk/pjsip-apps/src/samples/pjsip-perf.c	(revision 4537)
@@ -68,5 +68,5 @@
 #include <stdio.h>
 
-#if defined(PJ_WIN32) && PJ_WIN32!=0
+#if (defined(PJ_WIN32) && PJ_WIN32!=0) || (defined(PJ_WIN64) && PJ_WIN64!=0)
 #  include <windows.h>
 #endif
@@ -1007,5 +1007,5 @@
     } else if (inv->state == PJSIP_INV_STATE_DISCONNECTED) {
 	report_completion(inv->cause);
-	inv->mod_data[mod_test.id] = (void*)1;
+	inv->mod_data[mod_test.id] = (void*)(pj_ssize_t)1;
     }
 }
@@ -1094,5 +1094,5 @@
     pj_pool_t *pool;
     char *url;
-    int len = (c_url ? pj_ansi_strlen(c_url) : 0);
+    pj_size_t len = (c_url ? pj_ansi_strlen(c_url) : 0);
 
     if (!len) return -1;
@@ -1371,5 +1371,5 @@
     if (tsx->state==PJSIP_TSX_STATE_TERMINATED) {
 	report_completion(tsx->status_code);
-	tsx->mod_data[mod_test.id] = (void*)1;
+	tsx->mod_data[mod_test.id] = (void*)(pj_ssize_t)1;
     }
     else if (tsx->method.id == PJSIP_INVITE_METHOD &&
@@ -1377,10 +1377,10 @@
 
 	report_completion(tsx->status_code);
-	tsx->mod_data[mod_test.id] = (void*)1;
+	tsx->mod_data[mod_test.id] = (void*)(pj_ssize_t)1;
 	
     } else if (tsx->state == PJSIP_TSX_STATE_COMPLETED) {
 
 	report_completion(tsx->status_code);
-	tsx->mod_data[mod_test.id] = (void*)1;
+	tsx->mod_data[mod_test.id] = (void*)(pj_ssize_t)1;
 
 	TERMINATE_TSX(tsx, tsx->status_code);
@@ -1422,5 +1422,5 @@
 {
     pj_time_val end_time, last_report, now;
-    unsigned thread_index = (unsigned)(long)arg;
+    unsigned thread_index = (unsigned)(long)(pj_ssize_t)arg;
     unsigned cycle = 0, last_cycle = 0;
 
@@ -1579,5 +1579,5 @@
 {
     pj_time_val timeout = { 0, 1 };
-    unsigned thread_index = (unsigned)(long)arg;
+    unsigned thread_index = (unsigned)(long)(pj_ssize_t)arg;
     pj_time_val last_report, next_report;
 
@@ -1640,5 +1640,5 @@
     puts(msg);
 
-#if defined(PJ_WIN32) && PJ_WIN32!=0
+#if (defined(PJ_WIN32) && PJ_WIN32!=0) || (defined(PJ_WIN64) && PJ_WIN64!=0)
     OutputDebugString(msg);
     OutputDebugString("\n");
@@ -1716,5 +1716,6 @@
 	for (i=0; i<app.thread_count; ++i) {
 	    status = pj_thread_create(app.pool, NULL, &client_thread, 
-				      (void*)(long)i, 0, 0, &app.thread[i]);
+				      (void*)(pj_ssize_t)i, 0, 0, 
+				      &app.thread[i]);
 	    if (status != PJ_SUCCESS) {
 		app_perror(THIS_FILE, "Unable to create thread", status);
@@ -1825,5 +1826,6 @@
 	for (i=0; i<app.thread_count; ++i) {
 	    status = pj_thread_create(app.pool, NULL, &server_thread, 
-				      (void*)(long)i, 0, 0, &app.thread[i]);
+				      (void*)(pj_ssize_t)i, 0, 0, 
+				      &app.thread[i]);
 	    if (status != PJ_SUCCESS) {
 		app_perror(THIS_FILE, "Unable to create thread", status);
Index: /pjproject/trunk/pjsip-apps/src/samples/playsine.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/samples/playsine.c	(revision 4536)
+++ /pjproject/trunk/pjsip-apps/src/samples/playsine.c	(revision 4537)
@@ -84,5 +84,6 @@
     port_data *sine = port->port_data.pdata;
     pj_int16_t *samples = frame->buf;
-    unsigned i, count, left, right;
+    unsigned i, left, right;
+    pj_size_t count;
 
     /* Get number of samples */
Index: /pjproject/trunk/pjsip-apps/src/samples/sipecho.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/samples/sipecho.c	(revision 4536)
+++ /pjproject/trunk/pjsip-apps/src/samples/sipecho.c	(revision 4537)
@@ -403,5 +403,6 @@
 {
     call_t *call = (call_t*) inv->mod_data[mod_sipecho.id];
-    pjsip_inv_set_sdp_answer(inv, create_answer(call - app.call, inv->pool_prov, offer));
+    pjsip_inv_set_sdp_answer(inv, create_answer((int)(call - app.call), 
+			     inv->pool_prov, offer));
 }
 
@@ -502,5 +503,5 @@
 
     if (status == PJ_SUCCESS)
-	answer = create_answer(call-app.call, dlg->pool, sdp_info->sdp);
+	answer = create_answer((int)(call-app.call), dlg->pool, sdp_info->sdp);
     if (status == PJ_SUCCESS)
     	status = pjsip_inv_create_uas( dlg, rdata, answer, 0, &call->inv);
Index: /pjproject/trunk/pjsip-apps/src/samples/siprtp.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/samples/siprtp.c	(revision 4536)
+++ /pjproject/trunk/pjsip-apps/src/samples/siprtp.c	(revision 4537)
@@ -1102,5 +1102,5 @@
 
 
-#if defined(PJ_WIN32) && PJ_WIN32 != 0
+#if (defined(PJ_WIN32) && PJ_WIN32 != 0) || (defined(PJ_WIN64) && PJ_WIN64 != 0)
 #include <windows.h>
 static void boost_priority(void)
@@ -1196,5 +1196,5 @@
     /* Check for errors */
     if (size < 0) {
-	app_perror(THIS_FILE, "RTP recv() error", -size);
+	app_perror(THIS_FILE, "RTP recv() error", (pj_status_t)-size);
 	return;
     }
@@ -1202,5 +1202,5 @@
     /* Decode RTP packet. */
     status = pjmedia_rtp_decode_rtp(&strm->in_sess, 
-				    pkt, size, 
+				    pkt, (int)size, 
 				    &hdr, &payload, &payload_len);
     if (status != PJ_SUCCESS) {
@@ -1235,5 +1235,5 @@
     /* Check for errors */
     if (size < 0) {
-	app_perror(THIS_FILE, "Error receiving RTCP packet", -size);
+	app_perror(THIS_FILE, "Error receiving RTCP packet",(pj_status_t)-size);
 	return;
     }
@@ -1863,5 +1863,5 @@
 
     printf("%s (empty to cancel): ", title); fflush(stdout);
-    if (fgets(buf, len, stdin) == NULL)
+    if (fgets(buf, (int)len, stdin) == NULL)
 	return PJ_FALSE;
 
@@ -2025,5 +2025,5 @@
 
     if (log_file) {
-	int count = fwrite(buffer, len, 1, log_file);
+	pj_size_t count = fwrite(buffer, len, 1, log_file);
 	PJ_UNUSED_ARG(count);
 	fflush(log_file);
Index: /pjproject/trunk/pjsip-apps/src/samples/streamutil.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/samples/streamutil.c	(revision 4536)
+++ /pjproject/trunk/pjsip-apps/src/samples/streamutil.c	(revision 4537)
@@ -361,10 +361,12 @@
 
 	case OPT_SRTP_TX_KEY:
-	    tmp_key_len = hex_string_to_octet_string(tmp_tx_key, pj_optarg, strlen(pj_optarg));
+	    tmp_key_len = hex_string_to_octet_string(tmp_tx_key, pj_optarg, 
+						     (int)strlen(pj_optarg));
 	    pj_strset(&srtp_tx_key, tmp_tx_key, tmp_key_len/2);
 	    break;
 
 	case OPT_SRTP_RX_KEY:
-	    tmp_key_len = hex_string_to_octet_string(tmp_rx_key, pj_optarg, strlen(pj_optarg));
+	    tmp_key_len = hex_string_to_octet_string(tmp_rx_key, pj_optarg, 
+						     (int)strlen(pj_optarg));
 	    pj_strset(&srtp_rx_key, tmp_rx_key, tmp_key_len/2);
 	    break;
Index: /pjproject/trunk/pjsip-apps/src/samples/tonegen.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/samples/tonegen.c	(revision 4536)
+++ /pjproject/trunk/pjsip-apps/src/samples/tonegen.c	(revision 4537)
@@ -128,5 +128,5 @@
 
 	for (i=0; i<8000/SAMPLES_PER_FRAME; ++i) {
-	    int count;
+	    pj_size_t count;
 	    pjmedia_port_get_frame(port, &frm);
 	    count = fwrite(buf, SAMPLES_PER_FRAME, 2, f);
Index: /pjproject/trunk/pjsip-apps/src/samples/util.h
===================================================================
--- /pjproject/trunk/pjsip-apps/src/samples/util.h	(revision 4536)
+++ /pjproject/trunk/pjsip-apps/src/samples/util.h	(revision 4537)
@@ -156,6 +156,6 @@
 #if !defined(PJ_HAS_POOL_ALT_API) || PJ_HAS_POOL_ALT_API==0
     pj_pool_t   *p;
-    unsigned     total_alloc = 0;
-    unsigned     total_used = 0;
+    pj_size_t    total_alloc = 0;
+    pj_size_t    total_used = 0;
 
     /* Accumulate memory usage in active list. */
Index: /pjproject/trunk/pjsip-apps/src/samples/vid_streamutil.c
===================================================================
--- /pjproject/trunk/pjsip-apps/src/samples/vid_streamutil.c	(revision 4536)
+++ /pjproject/trunk/pjsip-apps/src/samples/vid_streamutil.c	(revision 4537)
@@ -303,5 +303,6 @@
 	write_frame.size = play_file->dec_buf_size;
 	status = pjmedia_vid_codec_decode(decoder, 1, &read_frame,
-	                                  write_frame.size, &write_frame);
+	                                  (unsigned)write_frame.size, 
+					  &write_frame);
 	if (status != PJ_SUCCESS)
 	    return;
@@ -495,5 +496,5 @@
 	case OPT_SRTP_TX_KEY:
 	    tmp_key_len = hex_string_to_octet_string(tmp_tx_key, pj_optarg, 
-						     strlen(pj_optarg));
+						     (int)strlen(pj_optarg));
 	    pj_strset(&srtp_tx_key, tmp_tx_key, tmp_key_len/2);
 	    break;
@@ -501,5 +502,5 @@
 	case OPT_SRTP_RX_KEY:
 	    tmp_key_len = hex_string_to_octet_string(tmp_rx_key, pj_optarg,
-						     strlen(pj_optarg));
+						     (int)strlen(pj_optarg));
 	    pj_strset(&srtp_rx_key, tmp_rx_key, tmp_key_len/2);
 	    break;
